#
# spec file for package mod_php4 (Version 4.1.0)
#
# Copyright (c) 2004 SUSE LINUX AG, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://www.suse.de/feedback/
#

# neededforbuild  aolserver apache-devel-packages bzip compat curl curl-devel cyrus-sasl cyrus-sasl-devel db-devel des expat freetype2 freetype2-devel gd gd-devel gdb gdbm gettext glib-devel gmp gpp gtk-devel heimdal heimdal-devel heimdal-lib imap imap-devel jakarta-tomcat java2 libgpp libiodbc libiodbc-devel libjpeg libmcal libmcrypt libmcrypt-devel libpng-devel-packages libtiff libxml2 libxml2-devel libz lynx mod_dav mysql-devel mysql-shared openldap2 openldap2-client openldap2-devel openssl openssl-devel orbit orbit-devel postgresql-devel postgresql-libs qt qt-devel readline readline-devel recode recode-devel sablot sablot-devel t1lib t1lib-devel ucdsnmp xf86 zip
# usedforbuild    aaa_base aaa_dir aaa_version base bash bindutil bison bzip cpio cpp cyrus-sasl db devs diffutils e2fsprogs file fileutils findutils flex gawk gdbm-devel glibc glibc-devel glibc-locale gpm gppshare grep groff gzip kbd less m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg pam-devel pam-modules patch ps rcs readline sendmail sh-utils shadow strace syslogd sysvinit texinfo textutils timezone unzip util-linux vim aolserver apache apache-devel autoconf automake binutils compat cracklib curl curl-devel cyrus-sasl-devel db-devel des expat freetype2 freetype2-devel gcc gd gd-devel gdb gdbm gettext glib-devel gmp gpp gtk-devel heimdal heimdal-devel heimdal-lib imap imap-devel jakarta-tomcat java2 libgpp libiodbc libiodbc-devel libjpeg libmcal libmcrypt libmcrypt-devel libpng libpng-devel libtiff libtool libxml2 libxml2-devel libz lynx mm mod_dav mod_ssl mysql-devel mysql-shared openldap2 openldap2-client openldap2-devel openssl openssl-devel orbit orbit-devel pam perl postgresql-devel postgresql-libs qt qt-devel readline-devel recode recode-devel rpm sablot sablot-devel t1lib t1lib-devel ucdsnmp xdevel xf86 xshared zip

Name:         mod_php4
%define apache_mmn        %(MMN=$(apxs -q LIBEXECDIR)/MMN; test -x $MMN && $MMN)
%define apache_libexecdir %(apxs -q LIBEXECDIR)
%define apache_sysconfdir %(apxs -q SYSCONFDIR)
%define apache_includedir %(apxs -q INCLUDEDIR)
%define apache_serverroot %(apxs -q PREFIX)
%define java_jdkdir       %(find %{_libdir} -type d -name jdk\* -o -type d -name j2sdk\* -o -name kaffe -o -name IBMJava2-\* -o -name SunJava1-\* -o -name SunJava2-\* -maxdepth 1 | sort | head -1)
%define java_incdir       %(dirname `find %{java_jdkdir} -name jni.h | grep -v include-old`)
%define qtdom_dir         %{_libdir}/qt2
%define dom_dir           %{_oldincludedir}/libxml2
Version:      4.1.0
Release:      317
License:      GPL
Group:        Productivity/Networking/Web/Servers
Provides:     php php4 mod_php4 zend mod_php
Requires:     %{name}-core = %{version} %{apache_mmn}
Requires:     apache
Obsoletes:    mod_php
Autoreqprov:  on
Source0:      ftp://ftp.php.net/pub/version4/downloads/php-%{version}.tar.bz2
Source2:      http://reality.sgi.com/grafica/flash/dist.99.linux.tar.bz2
Source3:      asp2php-0.75.22.tar.bz2
Patch0:       php-%{version}.dif
Patch1:       rfc1867.c.diff-4.1.x.gz
Patch2:       php-%{version}-mail.diff
Patch3:       php-%{version}-mm.diff
Patch4:       php-%{version}-url.diff
Patch5:       php-%{version}-everything_except_mm.diff
Patch6:       php-%{version}-sfix.diff
Patch7:       php-%{version}-memory_limit_in_execution.diff
URL:          http://www.php4.net/
Icon:         php4.xpm
Summary:      Latest version of the HTML embedded scripting language
%prep
if [ ! -e %{_oldincludedir}/libxml ] ; then
    if [ -e %{_oldincludedir}/libxml2/libxml/ ] ; then
	ln -s %{_oldincludedir}/libxml2/libxml/ %{_oldincludedir}/libxml
    fi
fi
%setup -q -n php-%{version}
%setup -q -n php-%{version} -c php-%{version} -a 2 -a 3 -T -D
%ifarch s390
%suse_update_config;
%endif
%patch
pushd main
%patch1
popd
%patch2
%patch3
%patch4
%patch5
%patch6
%patch7
%ifarch i386
mkdir -p dist/include/
mkdir -p dist/lib/
mv dist/*.h dist/include/
mv dist/*.a dist/lib/
%endif

%build
libtoolize --force ;
aclocal ;
autoheader ;
autoconf ;
#automake ;

%install
DYNAMIC_MODULES=""
if [ -e %{_libdir}/libssl.so ] ; then
	DYNAMIC_MODULES="$DYNAMIC_MODULES --with-openssl"
fi
if [ -e %{_bindir}/curl-config ] ; then
    DYNAMIC_MODULES="$DYNAMIC_MODULES --with-curl"
fi
%ifarch i386
	DYNAMIC_MODULES="$DYNAMIC_MODULES --with-swf=./dist/"
%endif
%ifnarch ppc
	DYNAMIC_MODULES="$DYNAMIC_MODULES --with-imap-ssl"
%endif
%ifarch s390
	DYNAMIC_MODULES="$DYNAMIC_MODULES --with-gd=shared"
%else
	DYNAMIC_MODULES="$DYNAMIC_MODULES --with-gd=yes"
%endif
%ifnarch alpha
	DYNAMIC_MODULES="$DYNAMIC_MODULES --enable-xslt --with-xslt-sablot"
%else
	DYNAMIC_MODULES="$DYNAMIC_MODULES --without-iconv"
%endif
#
# Loop over the supported web servers (AOL Java-Servlet Apache core)
# Roxen has been dropped
#
LIST="apache core"
#
# core comes at the end so that ZTS is not supported in the devel package
#
# servlet and aol dont compile on AXP
#
%ifnarch alpha
    LIST="aol servlet $LIST"
%endif
rm -f ./.status
. setJava --devel Java2 || exit 1
echo "JAVA_HOME=$JAVA_HOME"
for Servers in $LIST ; do
	case "$Servers" in
		aol)
			SERVER_TOGGLES="--with-aolserver=/opt/aolserver"
		;;
		core)
			SERVER_TOGGLES="--with-mm"
		;;
		apache)
        		SERVER_TOGGLES="--with-mm --with-apxs=`which apxs`"
		;;
		servlet)
                        SERVER_TOGGLES="--with-servlet=/opt/jakarta/common --with-java=$JAVA_HOME"
		;;
	esac
	echo "$Servers" >> ./.status
	rm -f config.cache ;
	CFLAGS="$RPM_OPT_FLAGS -fPIC -DHAVE_LIBDL=1 -I%{_oldincludedir}/ucd-snmp -I%{_oldincludedir}/gd -I%{java_jdkdir}/include/linux -I%{java_incdir}"  \
		LDFLAGS="" EXTRA_LIBS="-L%{_usr}/X11R6/lib/ -lpng -lXpm -lncurses -lpam -lssl" \
		./configure \
		--prefix=%{_datadir} \
		--datadir=%{_datadir}/php \
		--bindir=%{_bindir} \
		--libdir=%{_datadir} \
		--includedir=%{_includedir} \
		--with-config-file-path=/etc \
		--with-exec-dir=%{_libdir}/php/bin \
		--disable-debug \
		--enable-bcmath \
		--enable-calendar \
		--enable-ctype \
		--enable-dbase \
		--enable-discard-path \
		--enable-exif \
		--enable-filepro \
		--enable-force-cgi-redirect \
		--enable-ftp \
		--enable-gd-imgstrttf \
		--enable-gd-native-ttf \
		--enable-inline-optimization \
		--enable-magic-quotes \
		--enable-mbstr-enc-trans \
		--enable-mbstring \
		--enable-memory-limit \
		--enable-safe-mode \
		--enable-shmop \
		--enable-sigchild \
		--enable-sysvsem \
		--enable-sysvshm \
		--enable-track-vars \
		--enable-trans-sid \
		--enable-versioning \
		--enable-wddx \
		--enable-yp \
		--with-bz2 \
		--with-dom=%{dom_dir} \
		--with-ftp \
		--with-gdbm \
		--with-gettext \
		--with-gmp \
		--with-imap=yes \
		--with-iodbc \
		--with-jpeg-dir=%{_usr} \
		--with-ldap=yes \
		--with-mcal=%{_usr} \
		--with-mcrypt \
		--with-mysql=%{_usr} \
		--with-ndbm \
		--with-pgsql=%{_usr} \
		--with-png-dir=%{_usr} \
		--with-qtdom=%{qtdom_dir} \
		--with-snmp \
		--with-t1lib \
		--with-tiff-dir=%{_usr} \
		--with-ttf \
		--with-freetype-dir=yes \
		--with-xml \
		--with-xpm-dir=%{_usr}/X11R6 \
		--with-zlib=yes \
        	$DYNAMIC_MODULES $SERVER_TOGGLES %{_target_cpu}-suse-linux ; 
	make ;
	make install ;
	make clean ;
done ;
# options which dont work yet, but should be activated ASAP:
#
# --enable-satellite --with-mod-dav=%{apache_includedir} --enable-xslt 
# --with-kerberos[=DIR]  --with-recode=%{_oldincludedir}/ 
echo -e "Variable:HTTPD_SEC_MOD_PHP\nLoadModule:LoadModule php4_module %{apache_libexecdir}/libphp4.so\nAddModule:AddModule mod_php4.c\nText:PHP4\n" \
        > %{apache_sysconfdir}/modules/mod_php4
install -m 644 apache.rc.config %{_var}/adm/fillup-templates/sysconfig.apache-mod_php4
%define php_extdir %(php-config --extension-dir)
sed -e '/extension_dir = /a\'                                                \
    -e "extension_dir = %{php_extdir}"                                       \
    -e '/^;extension=/d' -e '/^;Windows Extensions/d' -e '/^;Note/d'         \
    -e '/^; extension_dir/a\' -e '\'                                         \
    -e '; The following section header introduces a section where packages\' \
    -e '; will add extension directives. You should not edit that line!\'    \
    -e '\' -e '[extension section]'                                          \
    php.ini-dist >/etc/php.ini
mkdir -p %{apache_libexecdir}/bin ;
mkdir -p %{_includedir}/php ;
find . -type f -name \*.h -exec install -D -m 644 {} %{_includedir}/php/{} \;
pushd asp2php ;
	make all gtkasp2php ;
	strip asp2php gtkasp2php ;
	install -m 755 asp2php %{_bindir} ;
	install -m 755 gtkasp2php %{_usr}/X11R6/bin/ ;
popd ;
strip %{apache_libexecdir}/libphp4.so ;
%ifnarch alpha
mv %{_datadir}/phpsrvlt.jar /opt/jakarta/lib/
mv %{_datadir}/libphp4.so   /opt/jakarta/lib/
strip /opt/jakarta/lib/libphp4.so ;
strip /opt/aolserver/bin/libphp4.so ;
%endif
strip %{_bindir}/php ;
%{_bindir}/php test.php > /dev/null || exit 1
%{_bindir}/php test.php > %{_tmppath}/test.html
lynx -dump %{_tmppath}/test.html > README.ENABLED_FEATURES
echo -e "LoadModule php4_module %{apache_libexecdir}/libphp4.so\n" > %{apache_sysconfdir}/suse_loadmodule.conf
echo -e "AddModule mod_php4.c\n" > %{apache_sysconfdir}/suse_addmodule.conf
httpd -t || exit 1

%files
%defattr(-, root, root)
%{apache_libexecdir}/libphp4.so
%{_var}/adm/fillup-templates/sysconfig.apache-mod_php4
%{apache_sysconfdir}/modules/mod_php4

%post
%{fillup_only -an apache}
%ifnarch alpha
%package aolserver
Summary:      PHP4 for the AOL server
Group:        Productivity/Networking/Web/Servers
Requires:     aolserver
Requires:     %{name}-core = %{version}
%endif
%package core
Summary:      core files of PHP4
Group:        Productivity/Networking/Web/Servers
%package devel
Summary:      Include files of PHP4
Group:        Development/Libraries/C and C++
%ifnarch alpha
%package servlet
Summary:      PHP4 as a Jakarta servlet
Group:        Productivity/Networking/Web/Servers
Requires:     jakarta
Requires:     %{name}-core = %{version}
%endif
%ifnarch alpha

%files aolserver
%defattr(-, root, root)
%doc sapi/aolserver/README
/opt/aolserver/bin/libphp4.so
%endif
%ifnarch alpha

%files servlet
%defattr(-, root, root)
%doc sapi/servlet/web.xml sapi/servlet/README
/opt/jakarta/lib/phpsrvlt.jar
/opt/jakarta/lib/libphp4.so
%endif

%files devel
%defattr(-, root, root)
%dir %{_includedir}/php
%{_includedir}/php/[^w]*
%{_bindir}/phpize
%{_bindir}/pearize
%dir %{_datadir}/lib/php
%{_datadir}/lib/php/build
%dir %{php_extdir}

%files core
%defattr(-, root, root)
%doc READ* CODING_STANDARDS CREDITS 
%doc INSTALL 
%doc LICENSE NEWS TOD* 
%doc test.php
%{_datadir}/php/
%config /etc/php.ini
%{_bindir}/phpextdist
%{_bindir}/php
%{_bindir}/php-config 
%{_bindir}/pear
%{_bindir}/asp2php
%{_usr}/X11R6/bin/gtkasp2php
%dir %(php-config --extension-dir)

%description
PHP is a server-side, cross-platform, HTML embedded scripting
language. If you are completely new to PHP and want to get some idea
of how it works, have a look at the Introductory Tutorial.  Once you
get beyond that have a look at the example archive sites and some of
the other resources available in the Links section.
PHP4 is the latest version.

Authors:
--------
    Andrei Zmievski <andrei@ispi.net>
    Danny Heijl <Danny.Heijl@cevi.be>
    Frank M. Kromann <fmk@swwwing.com>
    Rasmus Lerdorf <rasmus@php.net>
    Sam Ruby <rubys@us.ibm.com>
    Sascha Schumann <sascha@schumann.cx>
    Stefan Roehrich <sr@linux.de>
    Thies C. Arntzen <thies@digicol.de>
    Uwe Steinmann <steinm@php.net>

%ifnarch alpha

%description servlet
PHP is a server-side, cross-platform, HTML embedded scripting
language. If you are completely new to PHP and want to get some idea
of how it works, have a look at the Introductory Tutorial.  Once you
get beyond that, have a look at the example archive sites and some of
the other resources available in the Links section.
PHP4 is the latest version.

%endif

%description devel
PHP is a server-side, cross-platform, HTML embedded scripting
language. If you are completely new to PHP and want to get some idea
of how it works, have a look at the Introductory Tutorial.  Once you
get beyond that have a look at the example archive sites and some of
the other resources available in the Links section.
PHP4 is the latest version.

Authors:
--------
    Andrei Zmievski <andrei@ispi.net>
    Danny Heijl <Danny.Heijl@cevi.be>
    Frank M. Kromann <fmk@swwwing.com>
    Rasmus Lerdorf <rasmus@php.net>
    Sam Ruby <rubys@us.ibm.com>
    Sascha Schumann <sascha@schumann.cx>
    Stefan Roehrich <sr@linux.de>
    Thies C. Arntzen <thies@digicol.de>
    Uwe Steinmann <steinm@php.net>

%ifnarch alpha

%description aolserver
PHP is a server-side, cross-platform, HTML embedded scripting
language. If you are completely new to PHP and want to get some idea
of how it works, have a look at the Introductory Tutorial.  Once you
get beyond that, have a look at the example archive sites and some of
the other resources available in the Links section.
PHP4 is the latest version.

Authors:
--------
        Andrei Zmievski <andrei@ispi.net>
        Danny Heijl <Danny.Heijl@cevi.be>
        Frank M. Kromann <fmk@swwwing.com>
        Rasmus Lerdorf <rasmus@php.net>
        Sam Ruby <rubys@us.ibm.com>
        Sascha Schumann <sascha@schumann.cx>
        Stefan Roehrich <sr@linux.de>
        Thies C. Arntzen <thies@digicol.de>
        Uwe Steinmann <steinm@php.net>

%endif

%description core
This package contains the core files of PHP4. Additionally the modules
for certain webservers like Apache or Roxen may be installed.


%changelog -n mod_php4
* Thu Jul 15 2004 - tcrhak@suse.cz
- fix memory limit problem, a problem with strip_tags and several
  stability issues (bug #42949);
  Patches: everything_except_mm, memory_limit_in_execution, sfix
* Thu Sep 19 2002 - tcrhak@suse.cz
- fix of module mm (session path name) - enable different users
  use php (patch *-mm.diff) [bug #17312]
- security fix of php function mail (patch *-mail.diff)
- security fix of CRLF injection bug (patch *-url.diff)
* Sat Jul 20 2002 - poeml@suse.de
- detect the module magic number if provided by apache, indicating
  API changes, and add an RPM Require on it
* Sat Mar 23 2002 - ro@suse.de
- removed unixODBC stuff, was never used (iodbc is used)
* Fri Mar 15 2002 - tcrhak@suse.cz
- added %%{_datadir}/lib/php and extension dir to devel filelist
* Mon Mar 04 2002 - okir@suse.de
- security fix
* Fri Feb 22 2002 - tcrhak@suse.cz
- Killed %%{release} from "Requires" tags.
* Fri Feb 01 2002 - ro@suse.de
- changed neededforbuild <libpng> to <libpng-devel-packages>
* Mon Jan 28 2002 - ro@suse.de
- added des to neededforbuild
* Mon Jan 28 2002 - ro@suse.de
- added heimdal stuff to build
* Wed Jan 23 2002 - ro@suse.de
- try to build with db-devel in neededforbuild
* Thu Jan 17 2002 - ro@suse.de
- adapted for /etc/sysconfig/apache
* Thu Dec 20 2001 - tcrhak@suse.cz
- update to 4.1.0
- no mm support for aol and servlet (mm is not ZTS in 4.1 yet)
- patched acinclude.m4 to find the very dir for mysql libraries
- added `php-config --extension-dir` to core files
* Mon Dec 10 2001 - tcrhak@suse.cz
- fixed extension section
* Thu Dec 06 2001 - tcrhak@suse.cz
- added section [extension section] to php.ini
- fixed options given to configure
* Tue Dec 04 2001 - tcrhak@suse.cz
- fixed configure.in and config.m4's for autoconf 2.52
- added libtoolize, autoconf, autoheader
- used setJava to find JAVA_HOME
- TTF - bug 9523
- gd  - bug 12226
- changed the order in which subpackages (for Servers) are built,
- so that the devel package corresponds to core
- (=> experimental-zts disabled)
- moved phpize to the devel package (fixed for autoconf 2.52)
- added files needed by phpize to the devel package
* Mon Dec 03 2001 - ro@suse.de
- changed servlet dir for configure with jakarta
* Mon Dec 03 2001 - ro@suse.de
- fixed neededforbuild <jakarta> to <jakarta-tomcat>
* Tue Nov 20 2001 - rolf@suse.de
- changes to make IA64 work
- exclude subpackages AOL and Servlet from AXP
* Mon Nov 19 2001 - ro@suse.de
- fix to find java
* Wed Nov 14 2001 - rolf@suse.de
- new subpackage -devel with include files
* Mon Nov 12 2001 - ro@suse.de
- hack for libxml2 include location
* Fri Oct 26 2001 - ro@suse.de
- use qt2 for qtdom (but aparently that is not built anyway)
* Thu Oct 25 2001 - ro@suse.de
- try neededforbuild alias apache-devel-packages
* Tue Sep 11 2001 - ro@suse.de
- remove roxen subpackage
  roxen is not in the distribution currently
* Wed Aug 22 2001 - ro@suse.de
- removed pdflib from neededforbuild (license problems)
* Tue Aug 14 2001 - ro@suse.de
- pear: changed header to look for php in "bindir" not "prefix/bin"
  to fix requires
* Mon Aug 13 2001 - kukuk@suse.de
- Don't conflict with packages we are providing
* Thu Aug 09 2001 - kukuk@suse.de
- Fix search for installed java directory
* Tue Jul 24 2001 - rolf@suse.de
- new subpackage mod_php4-aolserver for use of PHP4 with AOL server
- disable-debug so Zend optimizer can work
* Thu Jul 05 2001 - rolf@suse.de
- update to php 4.0.6
- apply memlimit patch
- new subpackage mod_php4-servlet for use of PHP4 as JAVA servlet
  with tomcat
- new options: --with-gmp, --with-dom, mbstring
* Mon Jun 25 2001 - rolf@suse.de
- fixed bug with pdflib which also fixes [BUG#8246]
* Tue Jun 19 2001 - rolf@suse.de
- new version 4.0.5
- disable pgsql for roxen, as it is broken
- mysql bug fixed in this release [BUG#6839]
- move stuff to /usr/share/php [BUG#8352]
- now Provides: mod_php as well [BUG#8911]
* Sat May 12 2001 - schwab@suse.de
- Use new readline interface.
* Tue May 08 2001 - mfabian@suse.de
- bzip2 sources
* Tue May 01 2001 - kukuk@suse.de
- disable adabas support
* Thu Apr 26 2001 - ro@suse.de
- neededforbuild: curl_ssl-devel -> curl-devel
* Sun Apr 08 2001 - poeml@suse.de
- fix Requires (rearrange tags to define them before using them)
- fix spec file typo
* Tue Mar 27 2001 - rolf@suse.de
- spin off subpackage mod_php4-core which is required by apache and
  roxen modules now
- moved config file to /etc/php.ini for all php4 modules
- sybase support conflicts with Adabas D support
- Ingres support is for Ingres II only
- added t1lib support [BUG#6212]
- updated asp2php 0.75.13
- make us of suse_loadmodule for testing
- added /usr/bin/php to core package [BUG#6648]
* Wed Mar 21 2001 - ro@suse.de
- changed neededforbuild to freetype2
* Thu Mar 15 2001 - ro@suse.de
- build with openldap2
* Thu Mar 15 2001 - ro@suse.de
- fixed neededforbuild for openldap
* Mon Mar 05 2001 - ro@suse.de
- use -fPIC
* Fri Feb 23 2001 - ro@suse.de
- changed neededforbuild <apache> to <apache apache-devel>
* Fri Feb 23 2001 - ro@suse.de
- added readline/readline-devel to neededforbuild (split from bash)
* Thu Feb 15 2001 - rolf@suse.de
- new features imap-ssl, bz2, qtdom, ctype, debug, force-cgi-redirect,
  discard_path, sigchild, gd-imgstrttf
- added apache-mod_php4.rc.config
- added /etc/httpd/modules/mod_php4
* Wed Jan 17 2001 - rolf@suse.de
- add libpdf support
* Tue Jan 16 2001 - rolf@suse.de
- update to 4.0.4pl1 due to security issue [BUG#5760]
- remove number4.tar.gz, no longer needed
* Fri Jan 12 2001 - rolf@suse.de
- need expat to compile [BUG#5104]
- subpackage for roxen module
* Fri Jan 12 2001 - cihlar@suse.cz
- fixed to compile with roxe/pike [#4408]
* Tue Dec 19 2000 - rolf@suse.de
- link with libssl
* Tue Dec 19 2000 - rolf@suse.de
- added the asp2php package [BUG#4456]
- roxen/pike still doesnt work
- require RPM group tag via apxs
* Wed Nov 29 2000 - ro@suse.de
- changed neededforbuild <pg_lib> to <postgresql-lib>
* Mon Nov 27 2000 - rolf@suse.de
- added Sablotron support     [BUG#3891]
- added curl support          [BUG#3890]
- added Flash support on i386 [BUG#3209]
- also pack module files in /usr/lib/php/
- moved the exec dir to /usr/lib/php/bin
- include pear binaries
- added the following modules: sockets, shmop, exif, filepro, dbase
  readline, mcrypt, gettext
* Wed Nov 15 2000 - ro@suse.de
- fixed neededforbuild gdlib -> gd gd-devel
* Thu Nov 09 2000 - ro@suse.de
- prefer ndbm.h to db1/ndbm.h
* Mon Nov 06 2000 - ro@suse.de
- added imap-devel to neededforbuild
* Mon Nov 06 2000 - ro@suse.de
- fixed neededforbuild
* Mon Oct 16 2000 - bk@suse.de
- s390: --with-gd=yes -> --with-gd=shared(broken somehow with =yes)
* Mon Oct 16 2000 - rolf@suse.de
- update tp 4.0.3pl1 due to some security breaches
- needed to drop db3 and dbm support, as these are incompatible
- enable FTP support [BUG#3862]
* Wed Sep 13 2000 - fober@suse.de
- s390: suse_update_config, needs-not-forbuild adabas
* Fri Jul 07 2000 - kukuk@suse.de
- Fix Requires and need for build
* Fri Jun 23 2000 - rolf@suse.de
- added support for mcal and calendar functions [BUG#2925]
* Mon Jun 19 2000 - ro@suse.de
- fixed to compile with new postgres
* Mon May 22 2000 - rolf@suse.de
- update to 4.0.0
- --with-java is now broken
* Fri May 12 2000 - rolf@suse.de
- update to 4.0RC2
- a few more options are now functional
* Thu Apr 13 2000 - ro@suse.de
- added mm to neededforbuild
* Thu Mar 30 2000 - rolf@suse.de
- new version 4.0RC1
- many options now work properly
* Wed Mar 01 2000 - rolf@suse.de
- zlib works again
* Tue Feb 22 2000 - rolf@suse.de
- new version 4b4pl1
- now with --enable-thread-safety --with-gd=yes --with-ttf
- imap support is now broken
* Thu Dec 23 1999 - rolf@suse.de
- dynamic JDK path detection
- some fixes in DAV, still doesnt work
- now also runs with IMAP
* Thu Nov 25 1999 - rolf@suse.de
- initial package version 4.0b3
